Bug 143967 - File associations for certain extensions change by themselves
File associations for certain extensions change by themselves
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-02 15:08 EST by James Ryley
Modified: 2015-03-03 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 15:18:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ryley 2005-01-02 15:08:40 EST
Description of problem:

A file with a given extension, such as .html, is initially associated 
with the desired program (Mozilla, in this case).  Then, some files 
with the .html extension start to be associated with something else 
(the type on some, but not all, of my .html files now reads "GMC 
link").

This has also happened to .tgz files.  Most are associated with the 
correct unzipping application, but some became associated with 
another application (cannot recall what application this was right 
now).

Note that, when viewing the files through the Gnome file browser, if 
you do not touch the files, they appear correct, but when you click 
on the offending files, their type changes from the correct type to 
the incorrect type.  This aspect of the problem is 100% repeatable, 
while the issue of the files becoming corrupted in this fashion seems 
more random.

While I have only seen this problem on .html and .tgz files so far, 
that is probably because that is all I have been working with -- I 
would not guess that it is specific to these types.


Version-Release number of selected component (if applicable):


How reproducible:

100% for the change when clicking on a file once it has bee shown to 
be a problem file.  Unsure for getting a file to be a problem file in 
the first place.

Steps to Reproduce:
1. View file of either HTML of TGZ type in Gnome file browser.
2. Single-click the file.
  
Actual results:

The file type changes, along with the icon that represents the file.

Expected results:

Nothing should happen.

Additional info:

I am using directories with many files in them (1,000 - 100,000).  
This has caused a problem with gam_server (known bug where gam_server 
goes into a loop and takes 100% of the CPU).  Since gam_server 
monitors files, I wonder if this problem is not gam_server related 
also.  I am using gam_server 0.17.

I am running a dual-Xeon machine, with all relevant up2date updates 
as of this date.
Comment 1 Matthew Miller 2006-07-10 18:31:46 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-03 15:18:50 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.